Save Design Log
curl --request PUT \
--url https://api.neuralfactory.ai/workflows/{workflow_id}/design-log \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"content": "<string>",
"at": "<string>",
"files": [
"<string>"
],
"kind": "status"
}
]
}
'import requests
url = "https://api.neuralfactory.ai/workflows/{workflow_id}/design-log"
payload = { "entries": [
{
"content": "<string>",
"at": "<string>",
"files": ["<string>"],
"kind": "status"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entries: [{content: '<string>', at: '<string>', files: ['<string>'], kind: 'status'}]
})
};
fetch('https://api.neuralfactory.ai/workflows/{workflow_id}/design-log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/workflows/{workflow_id}/design-log",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'entries' => [
[
'content' => '<string>',
'at' => '<string>',
'files' => [
'<string>'
],
'kind' => 'status'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/workflows/{workflow_id}/design-log"
payload := strings.NewReader("{\n \"entries\": [\n {\n \"content\": \"<string>\",\n \"at\": \"<string>\",\n \"files\": [\n \"<string>\"\n ],\n \"kind\": \"status\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.neuralfactory.ai/workflows/{workflow_id}/design-log")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"entries\": [\n {\n \"content\": \"<string>\",\n \"at\": \"<string>\",\n \"files\": [\n \"<string>\"\n ],\n \"kind\": \"status\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/workflows/{workflow_id}/design-log")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entries\": [\n {\n \"content\": \"<string>\",\n \"at\": \"<string>\",\n \"files\": [\n \"<string>\"\n ],\n \"kind\": \"status\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workflows
Save Design Log
Store the designer transcript without touching the blueprint or its revision.
API key permission: Agents (Admin also opens it).
PUT
/
workflows
/
{workflow_id}
/
design-log
Save Design Log
curl --request PUT \
--url https://api.neuralfactory.ai/workflows/{workflow_id}/design-log \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"content": "<string>",
"at": "<string>",
"files": [
"<string>"
],
"kind": "status"
}
]
}
'import requests
url = "https://api.neuralfactory.ai/workflows/{workflow_id}/design-log"
payload = { "entries": [
{
"content": "<string>",
"at": "<string>",
"files": ["<string>"],
"kind": "status"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entries: [{content: '<string>', at: '<string>', files: ['<string>'], kind: 'status'}]
})
};
fetch('https://api.neuralfactory.ai/workflows/{workflow_id}/design-log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/workflows/{workflow_id}/design-log",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'entries' => [
[
'content' => '<string>',
'at' => '<string>',
'files' => [
'<string>'
],
'kind' => 'status'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/workflows/{workflow_id}/design-log"
payload := strings.NewReader("{\n \"entries\": [\n {\n \"content\": \"<string>\",\n \"at\": \"<string>\",\n \"files\": [\n \"<string>\"\n ],\n \"kind\": \"status\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.neuralfactory.ai/workflows/{workflow_id}/design-log")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"entries\": [\n {\n \"content\": \"<string>\",\n \"at\": \"<string>\",\n \"files\": [\n \"<string>\"\n ],\n \"kind\": \"status\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/workflows/{workflow_id}/design-log")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entries\": [\n {\n \"content\": \"<string>\",\n \"at\": \"<string>\",\n \"files\": [\n \"<string>\"\n ],\n \"kind\": \"status\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Body
application/json
Response
Successful Response